package hiro.yoshioka.sql.notes;

import hiro.yoshioka.classmanager.ClassManager;
import hiro.yoshioka.sql.params.ConnectionProperties;

import java.util.concurrent.Callable;

public class NotesRunnerConnectCheck extends AbsNotesRunner implements
		Callable<Boolean> {

	ConnectionProperties properties;

	public NotesRunnerConnectCheck(ClassManager manager,
			ConnectionProperties properties) {
		super(manager, properties);
		this.properties = properties;
	}

	@Override
	public Boolean call() throws Exception {
		initClass();
		createSession();

		return true;
	}

}
